Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::LineHypothesis Struct Reference

`#include <paragraphs_internal.h>`

List of all members.

## Public Member Functions

| LineHypothesis ()
| LineHypothesis (LineType line_type, const ParagraphModel *m)
| LineHypothesis (const LineHypothesis &other)
bool | operator== (const LineHypothesis &other) const

## Public Attributes

LineType | ty
const ParagraphModel * | model

## Detailed Description

Definition at line 79 of file paragraphs_internal.h.

## Constructor & Destructor Documentation

tesseract::LineHypothesis::LineHypothesis | ( |  | ) |

inline

Definition at line 80 of file paragraphs_internal.h.

: ty(LT_UNKNOWN), model(NULL) {}

tesseract::LineHypothesis::LineHypothesis | ( | LineType | line_type,
|  | const ParagraphModel * | m
| ) |  |

inline

Definition at line 81 of file paragraphs_internal.h.

: ty(line_type), model(m) {}

tesseract::LineHypothesis::LineHypothesis | ( | const LineHypothesis & | other | ) |

inline

Definition at line 83 of file paragraphs_internal.h.

: ty(other.ty), model(other.model) {}

## Member Function Documentation

bool tesseract::LineHypothesis::operator== | ( | const LineHypothesis & | other | ) | const

inline

Definition at line 86 of file paragraphs_internal.h.

{
return ty == other.ty && model == other.model;
}

## Member Data Documentation

const ParagraphModel* tesseract::LineHypothesis::model

Definition at line 91 of file paragraphs_internal.h.

LineType tesseract::LineHypothesis::ty

Definition at line 90 of file paragraphs_internal.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccmain/paragraphs_internal.h